// MidiFishDlg.h : header file
//

#if !defined(AFX_MIDIFISHDLG_H__93D72D1A_DF4A_4AFA_BC57_155BF05F5865__INCLUDED_)
#define AFX_MIDIFISHDLG_H__93D72D1A_DF4A_4AFA_BC57_155BF05F5865__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// MidiFishDlg dialog

class MidiFishDlg : public CDialog
{
// Construction
public:
	MidiFishDlg(CWnd* pParent = NULL);	// standard constructor
	~MidiFishDlg();

	class Doc *mDoc;

	void set_title();

	virtual void OnCancel();
	virtual void OnOK();

	int mTimer;

	bool mDisableTimer;

// Dialog Data
	//{{AFX_DATA(MidiFishDlg)
	enum { IDD = IDD_MIDIFISH_DIALOG };
	CComboBox	mOut4Channel;
	CComboBox	mOut3Channel;
	CComboBox	mOut2Channel;
	CComboBox	mOut1Channel;
	CComboBox	mIn2Channel;
	CComboBox	mIn1Channel;
	CButton	mKeyActive;
	CButton	mCtrlActive;
	CListBox	mKeyMap;
	CListBox	mCtrlMap;
	CButton	mOut4Enable;
	CComboBox	mOut4;
	CButton	mOut3Enable;
	CComboBox	mOut3;
	CButton	mOut2Enable;
	CComboBox	mOut2;
	CButton	mOut1Enable;
	CComboBox	mOut1;
	CButton	mIn2Enable;
	CButton	mIn1Enable;
	CComboBox	mIn2;
	CComboBox	mIn1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MidiFishDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(MidiFishDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSave();
	afx_msg void OnSaveas();
	afx_msg void OnOpen();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSelchangePortIn1();
	afx_msg void OnPortIn1Enable();
	afx_msg void OnSelchangePortIn2();
	afx_msg void OnPortIn2Enable();
	afx_msg void OnSelchangePortOut1();
	afx_msg void OnSelchangePortOut2();
	afx_msg void OnSelchangePortOut3();
	afx_msg void OnSelchangePortOut4();
	afx_msg void OnPortOut1Enable();
	afx_msg void OnPortOut2Enable();
	afx_msg void OnPortOut3Enable();
	afx_msg void OnPortOut4Enable();
	afx_msg void OnKeyReset();
	afx_msg void OnControllerReset();
	afx_msg void OnSelchangePortIn1Channel();
	afx_msg void OnSelchangePortIn2Channel();
	afx_msg void OnSelchangePortOut1Channel();
	afx_msg void OnSelchangePortOut2Channel();
	afx_msg void OnSelchangePortOut3Channel();
	afx_msg void OnSelchangePortOut4Channel();
	afx_msg void OnPanic();
	afx_msg void OnKeyActive();
	afx_msg void OnControllerActive();
	afx_msg void OnDblclkControllerMapping();
	afx_msg void OnDblclkKeyMapping();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MIDIFISHDLG_H__93D72D1A_DF4A_4AFA_BC57_155BF05F5865__INCLUDED_)
